#pragma once
#include "afxwin.h"
#include "afxdtctl.h"
#include "Patient.h"

// CDialogPatInfo 对话框

class CDialogPatInfo : public CDialogEx
{
	DECLARE_DYNAMIC(CDialogPatInfo)

public:
	CDialogPatInfo(CWnd* pParent = NULL);   // 标准构造函数
	virtual ~CDialogPatInfo();

// 对话框数据
	enum { IDD = IDD_DIALOG_PAT_INFO };

protected:
	virtual BOOL OnInitDialog();
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 支持

	DECLARE_MESSAGE_MAP()
public:
	CPatient m_CPat;
	afx_msg void OnBnClickedButtonPatInfoUpdate();
	afx_msg void OnCbnSelchangeComboPatInfoBloodType();
	afx_msg void OnCbnSelchangeCombo();
	afx_msg void OnDtnDatetimechangeDatetimepicker(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void OnDtnDatetimechangeDatetimepickerPatInfoDate(NMHDR *pNMHDR, LRESULT *pResult);
	CEdit m_CEdit_No;
	CEdit m_CEditName;
	CEdit m_CEditHeight;
	CEdit m_CEditWeight;
	CComboBox m_CCombBloodType;
	CComboBox m_CCombType;
	CDateTimeCtrl m_CDateBirth;
	CDateTimeCtrl m_CDateIn;
	afx_msg void OnDestroy();
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	CButton m_CRadioMale;
	afx_msg void OnBnClickedOk();
};
